﻿namespace SteroClood.MediaPlayers
{
    public delegate void EndTackEventHandler();

    public class MediaPlayerStatus
    {
        public bool IsPlaying { get; set; }
        public bool IsPaused { get; set; }
        public long SongLengthInMs { get; set; }
        public long SongPositionInMs { get; set; }
        public string Status { get; set; }

    }
    interface IMediaPlayer
    {
        bool Initialize();
        void Shutdown();

        bool LoadSong(string pathOrUrl);
        bool PlayPause();
        void SetVolume(int volume);

        MediaPlayerStatus GetStatus();
        EndTackEventHandler OnEndMusicEvent{get;set;}
    }
}
