﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace SteroMood
{
    [XmlRoot("playlist")]
    public class Playlist
    {
        [XmlElement("id")]
        public int Id { get; set; }
        [XmlElement("title")]
        public string Title { get; set; }
        [XmlElement("num_songs")]
        public int SongsCount { get; set; }
    }

    [XmlRoot("playlists")]
    public class Playlists
    {
        /// <summary>
        /// get a list of a user’s playlists.
        /// </summary>
        public static string UrlList = "http://www.stereomood.com/api/user/playlists/list.xml";

        [XmlElement("total")]
        public int TotalTrackNumber { get; set; }
        [XmlElement("page")]
        public int PageIndex { get; set; }
        [XmlElement("limit")]
        public int ResultsCountPerPage { get; set; }
        [XmlElement("total_pages")]
        public int TotalPages { get; set; }

        [XmlElement]
        public List<Playlist> playlist = new List<Playlist>();

        public Playlists()
        {
        }
    }
}
